class User
  attr_reader :user

  def initialize(key, db, tid=nil)
    @db = db
    subquery = key.kind_of?(String) ? "u.name='#{@db.escape_string(key)}'" : "u.uid=#{key.to_i}"
    if tid.nil?
      sql = "SELECT u.* 
             FROM {users} u 
             WHERE #{subquery}"
    else
      sql = "SELECT u.* 
             FROM {users} u, {sessions} s 
             WHERE #{subquery}
              AND u.uid = s.uid 
              AND s.sid = '#{tid}'"
    end
    
    res = @db.query(sql)
    if res.num_rows > 0
      @user = res.fetch_hash
    else
      @user = nil
    end
  end

  def [](key)
    if key.kind_of?(String) && @user != nil
      @user[key] if @user.has_key?(key)
    end
  end

  def nil?
    if @user == nil
      true
    else
      false
    end
  end
end
