require "test/unit"
require '../ajaxim_drupaldb.rb'
require '../ajaxim_string.rb'
require '../ajaxim_drupal_user.rb'
class TestUser < Test::Unit::TestCase
  
  def setup
    @db = DrupalDB.real_connect('localhost', 'root', '', 'drupal5')
    super
  end
  
  def test_user_load
    users = [1, "valcker"]
    users.each do |key|
      user = User.new(key, @db)
      print "Checking #{key}... "
      assert(user.user.kind_of?(Hash), "User should not be empty")
      puts "  #{user['name']} OK"
    end
  end
  
  def teardown
    @db.close
    super
  end
end