# We need to extend Sting class
# to simplify working with drupal prefix
# and etc.
class String
  # PHP's two argument version of strtr
  # Call using a hash for the replacement pairs:
  # "AA BB".strtr("AA" => "BB", "BB" => "AA") #=> "BB AA"
  def strtr(replace_pairs)
    keys = replace_pairs.map {|a, b| a }
    values = replace_pairs.map {|a, b| b }
    self.gsub(
      /(#{keys.map{|a| Regexp.quote(a) }.join( ')|(' )})/
      ) { |match| values[keys.index(match)] }
  end

  def sanitize_alphanum()
    self.gsub(/[^a-zA-Z0-9\s]/, "")
  end
end
