require "test/unit"
require 'net/http'

class TestHeavyLoad < Test::Unit::TestCase
  def setup
    super
  end
  
  def teardown
    super
  end
  
  def test_heavy_load
    threads = []
    query = Net::HTTP.new('localhost', 80)
    puts query.post('/drupal/ruby_ajaxim_server', "call=login&from=admin")
    puts query.post('/drupal/ruby_ajaxim_server', "call=login&from=valcker")
    srand
    threads << Thread.new do
      h = Net::HTTP.new('localhost', 80)
      1000.times do
        puts h.post('/drupal/ruby_ajaxim_server', "call=ping&from=admin&away=#{rand(2)}&status=available")
      end
    end
    threads << Thread.new do
      h = Net::HTTP.new('localhost', 80)
      1000.times do
        puts h.post('/drupal/ruby_ajaxim_server', "call=ping&from=valcker&away=#{rand(2)}&status=available")
      end
    end
    threads.each{ |thr| thr.join }
  end
  
end