require "test/unit"
require '../ajaxim_logger.rb'

class TestLogger < Test::Unit::TestCase
  
  def setup
    super
  end
  
  def test_private_message
    logger = AjaxIMLogger.new('/home/valcker/projects/ajaxim/logs')
    logger.private_message('valcker', 'admin', 'hi pall')
    logger.private_message('admin', 'valcker', 'hi man!')
  end
  
  def test_room
    logger = AjaxIMLogger.new('/home/valcker/projects/ajaxim/logs')
    logger.room_message('valcker', 'test', 'hi pall')
    logger.room_message('admin', 'test', 'hi man!')
  end
  
  def test_room_event
    logger = AjaxIMLogger.new('/home/valcker/projects/ajaxim/logs')
    logger.room_event('valcker', 'test', 'User left!')
  end
  
  def teardown
    super
  end
  end